<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> 
<%@ taglib uri="http://yihaomen.com/jsp/extend/core" prefix="e" %>
<%@ include file="taglibs.jsp"%>

<e:override name="js_css_extend">    
   <script type="text/javascript" src="${ctx }/js/validator/validator.js"></script> 
   <script type="text/javascript" src="${ctx }/js/validator/utils.js"></script> 
       
   <style>
     br {display:block; line-height:30px;}
     input,textarea {border: 1px solid #ccc; width:300px; line-height:25px;}
   </style>
   
   <script>
       function validatorDiv(){   	   
    	   var validator = new Validator(function(divId){
    	       alert("校验有错之后，该做什么呢");
    	   });   
    	   var dtdList = [];    	   
    	   var ok = validator.validateDiv("required_valid_div");
           dtdList.push(ok);
           
           $.when.apply(null, dtdList).fail(function(){
               
           }).done(function(){
        	   alert("验证成功，你可以去做其他的事情了");
           });
       }
       
       window.onload = function(){
    	   //bind event for all html elements
    	   var validator = new Validator();   
   		   validator.bindingEvent("required_valid_div");
   		   //init language, default language is zh_CN
   		   var lang = getCookie("lang") || "zh_CN";
   		   var scriptUrl = "${ctx}/js/validator/locale_" + lang + ".js";   		   
   		   loadScript([scriptUrl]);
       }
       
       function loadI18nCN(){
    	   loadScript(["${ctx}/js/validator/locale_zh_CN.js"]);
       }
       
       function loadI18NEN(){
    	   loadScript(["${ctx}/js/validator/locale_en.js"]);
       }
   </script> 
</e:override>  

<e:override name="content">  
   <div><h1>自定义验证框架测试</h1></div>
   <div>    
       <div id="required_valid_div">
           <input type="text" required minLen="3" maxLen="5"/>   <p />
           english:<input type="text" required english maxLen="50"/>   <p />
           <input type="text" required maxLen="50"/>   <p />
           <input type="text" url required />   <p />
           email: <input type="text" email />   <p />
           
           <select required>
               <option value="">请选择</option>
               <option value="1">中国</option>
           </select>
           <p />
           <textarea required maxLeng="500"></textarea>  <p />
           自定义错误信息:<input type="text" url required msgid="myUrlError"/>   <p />         
       </div>
       <button onclick="javascript:validatorDiv();">验证</button>       
       <button onclick="javascript:loadI18nCN();">Load 中文国际化</button>
       <button onclick="javascript:loadI18NEN();">Load English i18N</button>
       
   </div>   
</e:override> 

<%@ include file="base.jsp" %> 